petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoDefaultSMonitor

Default routine for monitoring progress of the solver. Same as TaoMonitorDefault() except it prints fewer digits of the residual as the residual gets smaller. This is because the later digits are meaningless and are often different on different machines; by using this routine different machines will usually generate the same output. It can be turned on by using the -tao_smonitor option

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultSMonitor(Tao tao, void *ctx)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| ctx | - PetscViewer context of type ASCII

### Options Database Keys

-tao_smonitor -

### See Also

TaoMonitorDefault(), TaoSetMonitor()

### Level

advanced

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages